Subject: Re: [PATCH 2.6.12-rc2] Freescale 8272ADS PCI bridge support to the

From: Vitaly Bordug <[email-masked]>
Date: Mon, 16 May 2005 11:44:02 +0400

Allen,
Some details about 8272 PCI below...
Allen Curtis wrote:

> Is the patch necessary? In the March archive it appears that people 
> were using the standard 8260 PCI support. What is the issue? Perhaps I 
> could provide a patch to m8260_pci.c (as you suggested)
>
The point is that stuff existent in the current tree for the 82xx has 
limited functionality.  Take a look at 
http://ozlabs.org/pipermail/linuxppc-embedded/2005-April/017948.html. 
Current source _does not_ contain any IRQ handlers & demux (which the 
patch adds), so the device will remain malfunction. Also the patch has 
some 8272 & PQ2FADS - specific bits.

>>> Where can I find the kernel tree with this integrated?
>>
>>
>> One doesn't exist.
>>
> Is there an embedded 2.5/2.6 tree somewhere? (I know about the 
> bkbits.net/ppc/linux-2.5 tree
>
There is no special `embedded` tree - use one from kernel.org or git 
repo if you need development version (http://www.kernel.org/git/).

-- 
Sincerely, 
Vitaly